{% load admin_static %}
<form action="derivar/{{ documento.id }}/" method="post" enctype="multipart/form-data" class="form-horizontal"
      role="form"
      id='form-derivar-documento'>{% csrf_token %}
    <input type='hidden' name='documento' value='{{ documento.id }}'>
    <dl class="dl-horizontal">
        <dt><span class="glyphicon glyphicon-user"></span> Remitente:</dt>
        {% if  documento.HistorialDocumento.Remitente == None %}
            <dd>{{ documento.PagoAlumno.MatriculaCiclo.Alumno }}</dd>
        {% else %}
            <dd>{{ documento.Remitente.Codigo }}</dd>

        {% endif %}
        <dt><span class="glyphicon glyphicon-user"></span> Destinatario:</dt>
        <dd>{{ user.username }}</dd>
        <dt><span class="glyphicon glyphicon-tag"></span> Tipo Doc.:</dt>
        <dd>{{ documento.TipoDocumento }}</dd>
        <dt><span class="glyphicon glyphicon-tag"></span> Asunto:</dt>
        <dd>{{ documento.Asunto }}</dd>
        <dt><span class="glyphicon glyphicon-calendar"></span> Fecha Ingreso:</dt>
        <dd>{{ documento.FechaIngreso|escape }}</dd>
        <dt><span class="glyphicon glyphicon-calendar"></span> Fecha Documento:</dt>
        <dd>{{ documento.FechaDocumento|escape }}</dd>
        <dt><span class="glyphicon glyphicon-tag"></span> Nro. Documento:</dt>
        <dd>{{ documento.NroDocumento|escape }}</dd>
        <dt><span class="glyphicon glyphicon-tag"></span> Nro. Folios:</dt>
        <dd>{{ documento.NroFolios|escape }}</dd>
        <dt><span class="glyphicon glyphicon-list-alt"></span> Sumilla:</dt>
        <dd>{{ documento.Sumilla|escape }}</dd>
        <dt><span class="glyphicon glyphicon-list-alt"></span> Comentario:</dt>
        <dd>{{ documento.Comentario|escape }}</dd>
        <dt><span class="glyphicon glyphicon-user"></span> Para: <span style='color: red;'>*</span></dt>
        <dd>
            <input type="text" class="form-control input-sm" id="input_destinatario" name="input_destinatario"
                   placeholder="Destinatario">
        </dd>
        <br>
        <dt><span class="glyphicon glyphicon-file"></span> Archivo: <span style='color: red;'>*</span></dt>
        <dd>
            <input type="file" id="Archivo" name='Archivo'>
        </dd>
        <br>
        <dt><span class="glyphicon glyphicon-comment"></span> Comentario: <span style='color: red;'>*</span></dt>
        <dd>
            <textarea value="" name="Descripcion" id='Descripcion' class="form-control input-sm" rows="3"></textarea>
        </dd>


    </dl>
    <script type="text/javascript">
        $("#input_destinatario").autocomplete({
            source: function (request, response) {
                $.ajax({
                    url: "json_autoridades/?term=" + request.term,
                    dataType: "json",
                    success: function (data) {
                        datos = [];
                        $.each(data, function (i, item) {
                            datos.push({
                                valor: item.pk,
                                value: item.fields.Abreviatura,
                                label: item.fields.Apellidos + " " + item.fields.Nombres
                            });
                        });
                        response(datos);
                    },
                });

            },
        });
    </script>